﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr76_2
{
    class Program
    {
        // Версия статического метода для символов 
        // (аргументы метода): 
        static char[] rez(char St, char En)
        {
            // Определяем массив требуемой размерности
            char[] Mas = new char[(int)En - (int)St + 1];
            // Заполняем его заданными значениями
            for (char c = St; c <= En; c++)
                Mas[(int)(c - St)] = c;
            return Mas;
        }

        // Версия статического метода для чисел
        // (аргументы метода): 
        static int[] rez(int St, int En)
        {
            // Определяем массив требуемой размерности
            int[] Mas = new int[En - St + 1];
            // Заполняем его заданными значениями
            for (int c = St; c <= En; c++)
                Mas[c - St] = c;
            return Mas;
        }

        // Метод для отображения одномерного 
        // целочисленного массива: 
        static void showArray(int[] nums)
        {
            // Перебор элементов массива: 
            for (int k = 0; k < nums.Length; k++)
            {
                // Отображение значения элемента:
                Console.Write("| {0} ", nums[k]);
            }
            Console.WriteLine("|");
        }

        // Метод для отображения одномерного 
        // символьного массива: 
        static void showArray(char[] nums)
        {
            // Перебор элементов массива: 
            for (int k = 0; k < nums.Length; k++)
            {
                // Отображение значения элемента:
                Console.Write("| {0} ", nums[k]);
            }
            Console.WriteLine("|");
        }

        static void Main()
        {
            int x = 7, y = 12;
            Console.WriteLine("Для числового массива заданы числа 7 и 12");
            int[] A = rez(x, y);
            Console.WriteLine("Одномерный числовой массив А:");
            // Отображается массив А: 
            showArray(A);

            char P = 'E', Q = 'T';
            Console.WriteLine("Для символьного массива заданы символы 'E' и 'T'");
            char[] B = rez(P, Q);
            Console.WriteLine("Одномерный символьный массив B:");
            // Отображается массив B: 
            showArray(B);
            // Задержка:
            Console.ReadLine();
        }
    }
}
